(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof define === 'function' && define.amd ? define(factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global.makeQR = factory());
}(this, (function () { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    var canPromise=function(){return "function"==typeof Promise&&Promise.prototype&&Promise.prototype.then};

    var toString={}.toString,isarray=Array.isArray||function(r){return "[object Array]"==toString.call(r)};

    function typedArraySupport(){try{var r=new Uint8Array(1);return r.__proto__={__proto__:Uint8Array.prototype,foo:function(){return 42}},42===r.foo()}catch(r){return !1}}Buffer.TYPED_ARRAY_SUPPORT=typedArraySupport();var K_MAX_LENGTH=Buffer.TYPED_ARRAY_SUPPORT?2147483647:1073741823;function Buffer(r,e,t){return Buffer.TYPED_ARRAY_SUPPORT||this instanceof Buffer?"number"==typeof r?allocUnsafe(this,r):from(this,r,e,t):new Buffer(r,e,t)}function checked(r){if(r>=K_MAX_LENGTH)throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+K_MAX_LENGTH.toString(16)+" bytes");return 0|r}function isnan(r){return r!=r}function createBuffer(r,e){var t;return Buffer.TYPED_ARRAY_SUPPORT?(t=new Uint8Array(e)).__proto__=Buffer.prototype:(null===(t=r)&&(t=new Buffer(e)),t.length=e),t}function allocUnsafe(r,e){var t=createBuffer(r,e<0?0:0|checked(e));if(!Buffer.TYPED_ARRAY_SUPPORT)for(var f=0;f<e;++f)t[f]=0;return t}function fromString(r,e){var t=0|byteLength(e),f=createBuffer(r,t),n=f.write(e);return n!==t&&(f=f.slice(0,n)),f}function fromArrayLike(r,e){for(var t=e.length<0?0:0|checked(e.length),f=createBuffer(r,t),n=0;n<t;n+=1)f[n]=255&e[n];return f}function fromArrayBuffer(r,e,t,f){if(t<0||e.byteLength<t)throw new RangeError("'offset' is out of bounds");if(e.byteLength<t+(f||0))throw new RangeError("'length' is out of bounds");var n;return n=void 0===t&&void 0===f?new Uint8Array(e):void 0===f?new Uint8Array(e,t):new Uint8Array(e,t,f),Buffer.TYPED_ARRAY_SUPPORT?n.__proto__=Buffer.prototype:n=fromArrayLike(r,n),n}function fromObject(r,e){if(Buffer.isBuffer(e)){var t=0|checked(e.length),f=createBuffer(r,t);return 0===f.length||e.copy(f,0,0,t),f}if(e){if("undefined"!=typeof ArrayBuffer&&e.buffer instanceof ArrayBuffer||"length"in e)return "number"!=typeof e.length||isnan(e.length)?createBuffer(r,0):fromArrayLike(r,e);if("Buffer"===e.type&&Array.isArray(e.data))return fromArrayLike(r,e.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}function utf8ToBytes(r,e){var t;e=e||1/0;for(var f=r.length,n=null,o=[],u=0;u<f;++u){if((t=r.charCodeAt(u))>55295&&t<57344){if(!n){if(t>56319){(e-=3)>-1&&o.push(239,191,189);continue}if(u+1===f){(e-=3)>-1&&o.push(239,191,189);continue}n=t;continue}if(t<56320){(e-=3)>-1&&o.push(239,191,189),n=t;continue}t=65536+(n-55296<<10|t-56320);}else n&&(e-=3)>-1&&o.push(239,191,189);if(n=null,t<128){if((e-=1)<0)break;o.push(t);}else if(t<2048){if((e-=2)<0)break;o.push(t>>6|192,63&t|128);}else if(t<65536){if((e-=3)<0)break;o.push(t>>12|224,t>>6&63|128,63&t|128);}else {if(!(t<1114112))throw new Error("Invalid code point");if((e-=4)<0)break;o.push(t>>18|240,t>>12&63|128,t>>6&63|128,63&t|128);}}return o}function byteLength(r){return Buffer.isBuffer(r)?r.length:"undefined"!=typeof ArrayBuffer&&"function"==typeof ArrayBuffer.isView&&(ArrayBuffer.isView(r)||r instanceof ArrayBuffer)?r.byteLength:("string"!=typeof r&&(r=""+r),0===r.length?0:utf8ToBytes(r).length)}function blitBuffer(r,e,t,f){for(var n=0;n<f&&!(n+t>=e.length||n>=r.length);++n)e[n+t]=r[n];return n}function utf8Write(r,e,t,f){return blitBuffer(utf8ToBytes(e,r.length-t),r,t,f)}function from(r,e,t,f){if("number"==typeof e)throw new TypeError('"value" argument must not be a number');return "undefined"!=typeof ArrayBuffer&&e instanceof ArrayBuffer?fromArrayBuffer(r,e,t,f):"string"==typeof e?fromString(r,e):fromObject(r,e)}Buffer.TYPED_ARRAY_SUPPORT&&(Buffer.prototype.__proto__=Uint8Array.prototype,Buffer.__proto__=Uint8Array,"undefined"!=typeof Symbol&&Symbol.species&&Buffer[Symbol.species]===Buffer&&Object.defineProperty(Buffer,Symbol.species,{value:null,configurable:!0,enumerable:!1,writable:!1})),Buffer.prototype.write=function(r,e,t){void 0===e||void 0===t&&"string"==typeof e?(t=this.length,e=0):isFinite(e)&&(e|=0,isFinite(t)?t|=0:t=void 0);var f=this.length-e;if((void 0===t||t>f)&&(t=f),r.length>0&&(t<0||e<0)||e>this.length)throw new RangeError("Attempt to write outside buffer bounds");return utf8Write(this,r,e,t)},Buffer.prototype.slice=function(r,e){var t,f=this.length;if((r=~~r)<0?(r+=f)<0&&(r=0):r>f&&(r=f),(e=void 0===e?f:~~e)<0?(e+=f)<0&&(e=0):e>f&&(e=f),e<r&&(e=r),Buffer.TYPED_ARRAY_SUPPORT)(t=this.subarray(r,e)).__proto__=Buffer.prototype;else {var n=e-r;t=new Buffer(n,void 0);for(var o=0;o<n;++o)t[o]=this[o+r];}return t},Buffer.prototype.copy=function(r,e,t,f){if(t||(t=0),f||0===f||(f=this.length),e>=r.length&&(e=r.length),e||(e=0),f>0&&f<t&&(f=t),f===t)return 0;if(0===r.length||0===this.length)return 0;if(e<0)throw new RangeError("targetStart out of bounds");if(t<0||t>=this.length)throw new RangeError("sourceStart out of bounds");if(f<0)throw new RangeError("sourceEnd out of bounds");f>this.length&&(f=this.length),r.length-e<f-t&&(f=r.length-e+t);var n,o=f-t;if(this===r&&t<e&&e<f)for(n=o-1;n>=0;--n)r[n+e]=this[n+t];else if(o<1e3||!Buffer.TYPED_ARRAY_SUPPORT)for(n=0;n<o;++n)r[n+e]=this[n+t];else Uint8Array.prototype.set.call(r,this.subarray(t,t+o),e);return o},Buffer.prototype.fill=function(r,e,t){if("string"==typeof r){if("string"==typeof e?(e=0,t=this.length):"string"==typeof t&&(t=this.length),1===r.length){var f=r.charCodeAt(0);f<256&&(r=f);}}else "number"==typeof r&&(r&=255);if(e<0||this.length<e||this.length<t)throw new RangeError("Out of range index");if(t<=e)return this;var n;if(e>>>=0,t=void 0===t?this.length:t>>>0,r||(r=0),"number"==typeof r)for(n=e;n<t;++n)this[n]=r;else {var o=Buffer.isBuffer(r)?r:new Buffer(r),u=o.length;for(n=0;n<t-e;++n)this[n+e]=o[n%u];}return this},Buffer.concat=function(r,e){if(!isarray(r))throw new TypeError('"list" argument must be an Array of Buffers');if(0===r.length)return createBuffer(null,0);var t;if(void 0===e)for(e=0,t=0;t<r.length;++t)e+=r[t].length;var f=allocUnsafe(null,e),n=0;for(t=0;t<r.length;++t){var o=r[t];if(!Buffer.isBuffer(o))throw new TypeError('"list" argument must be an Array of Buffers');o.copy(f,n),n+=o.length;}return f},Buffer.byteLength=byteLength,Buffer.prototype._isBuffer=!0,Buffer.isBuffer=function(r){return !(null==r||!r._isBuffer)};var alloc=function(r){var e=new Buffer(r);return e.fill(0),e},from_1=function(r){return new Buffer(r)},typedarrayBuffer={alloc:alloc,from:from_1};

    var toSJISFunction,CODEWORDS_COUNT=[0,26,44,70,100,134,172,196,242,292,346,404,466,532,581,655,733,815,901,991,1085,1156,1258,1364,1474,1588,1706,1828,1921,2051,2185,2323,2465,2611,2761,2876,3034,3196,3362,3532,3706],getSymbolSize=function(o){if(!o)throw new Error('"version" cannot be null or undefined');if(o<1||o>40)throw new Error('"version" should be in range from 1 to 40');return 4*o+17},getSymbolTotalCodewords=function(o){return CODEWORDS_COUNT[o]},getBCHDigit=function(o){for(var t=0;0!==o;)t++,o>>>=1;return t},setToSJISFunction=function(o){if("function"!=typeof o)throw new Error('"toSJISFunc" is not a valid function.');toSJISFunction=o;},isKanjiModeEnabled=function(){return void 0!==toSJISFunction},toSJIS=function(o){return toSJISFunction(o)},utils={getSymbolSize:getSymbolSize,getSymbolTotalCodewords:getSymbolTotalCodewords,getBCHDigit:getBCHDigit,setToSJISFunction:setToSJISFunction,isKanjiModeEnabled:isKanjiModeEnabled,toSJIS:toSJIS};

    function createCommonjsModule(fn, module) {
    	return module = { exports: {} }, fn(module, module.exports), module.exports;
    }

    var errorCorrectionLevel=createCommonjsModule((function(r,e){e.L={bit:1},e.M={bit:0},e.Q={bit:3},e.H={bit:2},e.isValid=function(r){return r&&void 0!==r.bit&&r.bit>=0&&r.bit<4},e.from=function(r,o){if(e.isValid(r))return r;try{return function(r){if("string"!=typeof r)throw new Error("Param is not a string");switch(r.toLowerCase()){case"l":case"low":return e.L;case"m":case"medium":return e.M;case"q":case"quartile":return e.Q;case"h":case"high":return e.H;default:throw new Error("Unknown EC Level: "+r)}}(r)}catch(r){return o}};}));var errorCorrectionLevel_1=errorCorrectionLevel.L;var errorCorrectionLevel_2=errorCorrectionLevel.M;var errorCorrectionLevel_3=errorCorrectionLevel.Q;var errorCorrectionLevel_4=errorCorrectionLevel.H;var errorCorrectionLevel_5=errorCorrectionLevel.isValid;

    function BitBuffer(){this.buffer=[],this.length=0;}BitBuffer.prototype={get:function(t){var f=Math.floor(t/8);return 1==(this.buffer[f]>>>7-t%8&1)},put:function(t,f){for(var e=0;e<f;e++)this.putBit(1==(t>>>f-e-1&1));},getLengthInBits:function(){return this.length},putBit:function(t){var f=Math.floor(this.length/8);this.buffer.length<=f&&this.buffer.push(0),t&&(this.buffer[f]|=128>>>this.length%8),this.length++;}};var bitBuffer=BitBuffer;

    function BitMatrix(t){if(!t||t<1)throw new Error("BitMatrix size must be defined and greater than 0");this.size=t,this.data=typedarrayBuffer.alloc(t*t),this.reservedBit=typedarrayBuffer.alloc(t*t);}BitMatrix.prototype.set=function(t,i,r,e){var s=t*this.size+i;this.data[s]=r,e&&(this.reservedBit[s]=!0);},BitMatrix.prototype.get=function(t,i){return this.data[t*this.size+i]},BitMatrix.prototype.xor=function(t,i,r){this.data[t*this.size+i]^=r;},BitMatrix.prototype.isReserved=function(t,i){return this.reservedBit[t*this.size+i]};var bitMatrix=BitMatrix;

    var alignmentPattern=createCommonjsModule((function(t,e){var o=utils.getSymbolSize;e.getRowColCoords=function(t){if(1===t)return [];for(var e=Math.floor(t/7)+2,r=o(t),n=145===r?26:2*Math.ceil((r-13)/(2*e-2)),a=[r-7],s=1;s<e-1;s++)a[s]=a[s-1]-n;return a.push(6),a.reverse()},e.getPositions=function(t){for(var o=[],r=e.getRowColCoords(t),n=r.length,a=0;a<n;a++)for(var s=0;s<n;s++)0===a&&0===s||0===a&&s===n-1||a===n-1&&0===s||o.push([r[a],r[s]]);return o};}));var alignmentPattern_1=alignmentPattern.getRowColCoords;var alignmentPattern_2=alignmentPattern.getPositions;

    var getSymbolSize$1=utils.getSymbolSize,FINDER_PATTERN_SIZE=7,getPositions=function(t){var e=getSymbolSize$1(t);return [[0,0],[e-FINDER_PATTERN_SIZE,0],[0,e-FINDER_PATTERN_SIZE]]},finderPattern={getPositions:getPositions};

    var maskPattern=createCommonjsModule((function(t,a){a.Patterns={PATTERN000:0,PATTERN001:1,PATTERN010:2,PATTERN011:3,PATTERN100:4,PATTERN101:5,PATTERN110:6,PATTERN111:7};var e=3,r=3,n=40,s=10;function P(t,e,r){switch(t){case a.Patterns.PATTERN000:return (e+r)%2==0;case a.Patterns.PATTERN001:return e%2==0;case a.Patterns.PATTERN010:return r%3==0;case a.Patterns.PATTERN011:return (e+r)%3==0;case a.Patterns.PATTERN100:return (Math.floor(e/2)+Math.floor(r/3))%2==0;case a.Patterns.PATTERN101:return e*r%2+e*r%3==0;case a.Patterns.PATTERN110:return (e*r%2+e*r%3)%2==0;case a.Patterns.PATTERN111:return (e*r%3+(e+r)%2)%2==0;default:throw new Error("bad maskPattern:"+t)}}a.isValid=function(t){return null!=t&&""!==t&&!isNaN(t)&&t>=0&&t<=7},a.from=function(t){return a.isValid(t)?parseInt(t,10):void 0},a.getPenaltyN1=function(t){for(var a=t.size,r=0,n=0,s=0,P=null,o=null,l=0;l<a;l++){n=s=0,P=o=null;for(var m=0;m<a;m++){var k=t.get(l,m);k===P?n++:(n>=5&&(r+=e+(n-5)),P=k,n=1),(k=t.get(m,l))===o?s++:(s>=5&&(r+=e+(s-5)),o=k,s=1);}n>=5&&(r+=e+(n-5)),s>=5&&(r+=e+(s-5));}return r},a.getPenaltyN2=function(t){for(var a=t.size,e=0,n=0;n<a-1;n++)for(var s=0;s<a-1;s++){var P=t.get(n,s)+t.get(n,s+1)+t.get(n+1,s)+t.get(n+1,s+1);4!==P&&0!==P||e++;}return e*r},a.getPenaltyN3=function(t){for(var a=t.size,e=0,r=0,s=0,P=0;P<a;P++){r=s=0;for(var o=0;o<a;o++)r=r<<1&2047|t.get(P,o),o>=10&&(1488===r||93===r)&&e++,s=s<<1&2047|t.get(o,P),o>=10&&(1488===s||93===s)&&e++;}return e*n},a.getPenaltyN4=function(t){for(var a=0,e=t.data.length,r=0;r<e;r++)a+=t.data[r];return Math.abs(Math.ceil(100*a/e/5)-10)*s},a.applyMask=function(t,a){for(var e=a.size,r=0;r<e;r++)for(var n=0;n<e;n++)a.isReserved(n,r)||a.xor(n,r,P(t,n,r));},a.getBestMask=function(t,e){for(var r=Object.keys(a.Patterns).length,n=0,s=1/0,P=0;P<r;P++){e(P),a.applyMask(P,t);var o=a.getPenaltyN1(t)+a.getPenaltyN2(t)+a.getPenaltyN3(t)+a.getPenaltyN4(t);a.applyMask(P,t),o<s&&(s=o,n=P);}return n};}));var maskPattern_1=maskPattern.Patterns;var maskPattern_2=maskPattern.isValid;var maskPattern_3=maskPattern.getPenaltyN1;var maskPattern_4=maskPattern.getPenaltyN2;var maskPattern_5=maskPattern.getPenaltyN3;var maskPattern_6=maskPattern.getPenaltyN4;var maskPattern_7=maskPattern.applyMask;var maskPattern_8=maskPattern.getBestMask;

    var EC_BLOCKS_TABLE=[1,1,1,1,1,1,1,1,1,1,2,2,1,2,2,4,1,2,4,4,2,4,4,4,2,4,6,5,2,4,6,6,2,5,8,8,4,5,8,8,4,5,8,11,4,8,10,11,4,9,12,16,4,9,16,16,6,10,12,18,6,10,17,16,6,11,16,19,6,13,18,21,7,14,21,25,8,16,20,25,8,17,23,25,9,17,23,34,9,18,25,30,10,20,27,32,12,21,29,35,12,23,34,37,12,25,34,40,13,26,35,42,14,28,38,45,15,29,40,48,16,31,43,51,17,33,45,54,18,35,48,57,19,37,51,60,19,38,53,63,20,40,56,66,21,43,59,70,22,45,62,74,24,47,65,77,25,49,68,81],EC_CODEWORDS_TABLE=[7,10,13,17,10,16,22,28,15,26,36,44,20,36,52,64,26,48,72,88,36,64,96,112,40,72,108,130,48,88,132,156,60,110,160,192,72,130,192,224,80,150,224,264,96,176,260,308,104,198,288,352,120,216,320,384,132,240,360,432,144,280,408,480,168,308,448,532,180,338,504,588,196,364,546,650,224,416,600,700,224,442,644,750,252,476,690,816,270,504,750,900,300,560,810,960,312,588,870,1050,336,644,952,1110,360,700,1020,1200,390,728,1050,1260,420,784,1140,1350,450,812,1200,1440,480,868,1290,1530,510,924,1350,1620,540,980,1440,1710,570,1036,1530,1800,570,1064,1590,1890,600,1120,1680,1980,630,1204,1770,2100,660,1260,1860,2220,720,1316,1950,2310,750,1372,2040,2430],getBlocksCount=function(e,r){switch(r){case errorCorrectionLevel.L:return EC_BLOCKS_TABLE[4*(e-1)+0];case errorCorrectionLevel.M:return EC_BLOCKS_TABLE[4*(e-1)+1];case errorCorrectionLevel.Q:return EC_BLOCKS_TABLE[4*(e-1)+2];case errorCorrectionLevel.H:return EC_BLOCKS_TABLE[4*(e-1)+3];default:return}},getTotalCodewordsCount=function(e,r){switch(r){case errorCorrectionLevel.L:return EC_CODEWORDS_TABLE[4*(e-1)+0];case errorCorrectionLevel.M:return EC_CODEWORDS_TABLE[4*(e-1)+1];case errorCorrectionLevel.Q:return EC_CODEWORDS_TABLE[4*(e-1)+2];case errorCorrectionLevel.H:return EC_CODEWORDS_TABLE[4*(e-1)+3];default:return}},errorCorrectionCode={getBlocksCount:getBlocksCount,getTotalCodewordsCount:getTotalCodewordsCount};

    var EXP_TABLE=typedarrayBuffer.alloc(512),LOG_TABLE=typedarrayBuffer.alloc(256);!function(){for(var o=1,r=0;r<255;r++)EXP_TABLE[r]=o,LOG_TABLE[o]=r,256&(o<<=1)&&(o^=285);for(r=255;r<512;r++)EXP_TABLE[r]=EXP_TABLE[r-255];}();var log=function(o){if(o<1)throw new Error("log("+o+")");return LOG_TABLE[o]},exp=function(o){return EXP_TABLE[o]},mul=function(o,r){return 0===o||0===r?0:EXP_TABLE[LOG_TABLE[o]+LOG_TABLE[r]]},galoisField={log:log,exp:exp,mul:mul};

    var polynomial=createCommonjsModule((function(o,l){l.mul=function(o,l){for(var r=typedarrayBuffer.alloc(o.length+l.length-1),m=0;m<o.length;m++)for(var e=0;e<l.length;e++)r[m+e]^=galoisField.mul(o[m],l[e]);return r},l.mod=function(o,l){for(var r=typedarrayBuffer.from(o);r.length-l.length>=0;){for(var m=r[0],e=0;e<l.length;e++)r[e]^=galoisField.mul(l[e],m);for(var n=0;n<r.length&&0===r[n];)n++;r=r.slice(n);}return r},l.generateECPolynomial=function(o){for(var r=typedarrayBuffer.from([1]),m=0;m<o;m++)r=l.mul(r,[1,galoisField.exp(m)]);return r};}));var polynomial_1=polynomial.mul;var polynomial_2=polynomial.mod;var polynomial_3=polynomial.generateECPolynomial;

    var global$1 = "undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{};

    var lookup=[],revLookup=[],Arr="undefined"!=typeof Uint8Array?Uint8Array:Array,inited=!1;function init(){inited=!0;for(var t="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",r=0,e=t.length;r<e;++r)lookup[r]=t[r],revLookup[t.charCodeAt(r)]=r;revLookup["-".charCodeAt(0)]=62,revLookup["_".charCodeAt(0)]=63;}function toByteArray(t){var r,e,n,f,i,o;inited||init();var u=t.length;if(u%4>0)throw new Error("Invalid string. Length must be a multiple of 4");i="="===t[u-2]?2:"="===t[u-1]?1:0,o=new Arr(3*u/4-i),n=i>0?u-4:u;var s=0;for(r=0,e=0;r<n;r+=4,e+=3)f=revLookup[t.charCodeAt(r)]<<18|revLookup[t.charCodeAt(r+1)]<<12|revLookup[t.charCodeAt(r+2)]<<6|revLookup[t.charCodeAt(r+3)],o[s++]=f>>16&255,o[s++]=f>>8&255,o[s++]=255&f;return 2===i?(f=revLookup[t.charCodeAt(r)]<<2|revLookup[t.charCodeAt(r+1)]>>4,o[s++]=255&f):1===i&&(f=revLookup[t.charCodeAt(r)]<<10|revLookup[t.charCodeAt(r+1)]<<4|revLookup[t.charCodeAt(r+2)]>>2,o[s++]=f>>8&255,o[s++]=255&f),o}function tripletToBase64(t){return lookup[t>>18&63]+lookup[t>>12&63]+lookup[t>>6&63]+lookup[63&t]}function encodeChunk(t,r,e){for(var n,f=[],i=r;i<e;i+=3)n=(t[i]<<16)+(t[i+1]<<8)+t[i+2],f.push(tripletToBase64(n));return f.join("")}function fromByteArray(t){var r;inited||init();for(var e=t.length,n=e%3,f="",i=[],o=16383,u=0,s=e-n;u<s;u+=o)i.push(encodeChunk(t,u,u+o>s?s:u+o));return 1===n?(r=t[e-1],f+=lookup[r>>2],f+=lookup[r<<4&63],f+="=="):2===n&&(r=(t[e-2]<<8)+t[e-1],f+=lookup[r>>10],f+=lookup[r>>4&63],f+=lookup[r<<2&63],f+="="),i.push(f),i.join("")}function read(t,r,e,n,f){var i,o,u=8*f-n-1,s=(1<<u)-1,a=s>>1,h=-7,c=e?f-1:0,l=e?-1:1,p=t[r+c];for(c+=l,i=p&(1<<-h)-1,p>>=-h,h+=u;h>0;i=256*i+t[r+c],c+=l,h-=8);for(o=i&(1<<-h)-1,i>>=-h,h+=n;h>0;o=256*o+t[r+c],c+=l,h-=8);if(0===i)i=1-a;else {if(i===s)return o?NaN:1/0*(p?-1:1);o+=Math.pow(2,n),i-=a;}return (p?-1:1)*o*Math.pow(2,i-n)}function write(t,r,e,n,f,i){var o,u,s,a=8*i-f-1,h=(1<<a)-1,c=h>>1,l=23===f?Math.pow(2,-24)-Math.pow(2,-77):0,p=n?0:i-1,g=n?1:-1,B=r<0||0===r&&1/r<0?1:0;for(r=Math.abs(r),isNaN(r)||r===1/0?(u=isNaN(r)?1:0,o=h):(o=Math.floor(Math.log(r)/Math.LN2),r*(s=Math.pow(2,-o))<1&&(o--,s*=2),(r+=o+c>=1?l/s:l*Math.pow(2,1-c))*s>=2&&(o++,s/=2),o+c>=h?(u=0,o=h):o+c>=1?(u=(r*s-1)*Math.pow(2,f),o+=c):(u=r*Math.pow(2,c-1)*Math.pow(2,f),o=0));f>=8;t[e+p]=255&u,p+=g,u/=256,f-=8);for(o=o<<f|u,a+=f;a>0;t[e+p]=255&o,p+=g,o/=256,a-=8);t[e+p-g]|=128*B;}var toString$1={}.toString,isArray=Array.isArray||function(t){return "[object Array]"==toString$1.call(t)},INSPECT_MAX_BYTES=50;Buffer$1.TYPED_ARRAY_SUPPORT=void 0===global$1.TYPED_ARRAY_SUPPORT||global$1.TYPED_ARRAY_SUPPORT;var _kMaxLength=kMaxLength();function kMaxLength(){return Buffer$1.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function createBuffer$1(t,r){if(kMaxLength()<r)throw new RangeError("Invalid typed array length");return Buffer$1.TYPED_ARRAY_SUPPORT?(t=new Uint8Array(r)).__proto__=Buffer$1.prototype:(null===t&&(t=new Buffer$1(r)),t.length=r),t}function Buffer$1(t,r,e){if(!(Buffer$1.TYPED_ARRAY_SUPPORT||this instanceof Buffer$1))return new Buffer$1(t,r,e);if("number"==typeof t){if("string"==typeof r)throw new Error("If encoding is specified then the first argument must be a string");return allocUnsafe$1(this,t)}return from$1(this,t,r,e)}function from$1(t,r,e,n){if("number"==typeof r)throw new TypeError('"value" argument must not be a number');return "undefined"!=typeof ArrayBuffer&&r instanceof ArrayBuffer?fromArrayBuffer$1(t,r,e,n):"string"==typeof r?fromString$1(t,r,e):fromObject$1(t,r)}function assertSize(t){if("number"!=typeof t)throw new TypeError('"size" argument must be a number');if(t<0)throw new RangeError('"size" argument must not be negative')}function alloc$1(t,r,e,n){return assertSize(r),r<=0?createBuffer$1(t,r):void 0!==e?"string"==typeof n?createBuffer$1(t,r).fill(e,n):createBuffer$1(t,r).fill(e):createBuffer$1(t,r)}function allocUnsafe$1(t,r){if(assertSize(r),t=createBuffer$1(t,r<0?0:0|checked$1(r)),!Buffer$1.TYPED_ARRAY_SUPPORT)for(var e=0;e<r;++e)t[e]=0;return t}function fromString$1(t,r,e){if("string"==typeof e&&""!==e||(e="utf8"),!Buffer$1.isEncoding(e))throw new TypeError('"encoding" must be a valid string encoding');var n=0|byteLength$1(r,e),f=(t=createBuffer$1(t,n)).write(r,e);return f!==n&&(t=t.slice(0,f)),t}function fromArrayLike$1(t,r){var e=r.length<0?0:0|checked$1(r.length);t=createBuffer$1(t,e);for(var n=0;n<e;n+=1)t[n]=255&r[n];return t}function fromArrayBuffer$1(t,r,e,n){if(r.byteLength,e<0||r.byteLength<e)throw new RangeError("'offset' is out of bounds");if(r.byteLength<e+(n||0))throw new RangeError("'length' is out of bounds");return r=void 0===e&&void 0===n?new Uint8Array(r):void 0===n?new Uint8Array(r,e):new Uint8Array(r,e,n),Buffer$1.TYPED_ARRAY_SUPPORT?(t=r).__proto__=Buffer$1.prototype:t=fromArrayLike$1(t,r),t}function fromObject$1(t,r){if(internalIsBuffer(r)){var e=0|checked$1(r.length);return 0===(t=createBuffer$1(t,e)).length||r.copy(t,0,0,e),t}if(r){if("undefined"!=typeof ArrayBuffer&&r.buffer instanceof ArrayBuffer||"length"in r)return "number"!=typeof r.length||isnan$1(r.length)?createBuffer$1(t,0):fromArrayLike$1(t,r);if("Buffer"===r.type&&isArray(r.data))return fromArrayLike$1(t,r.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}function checked$1(t){if(t>=kMaxLength())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+kMaxLength().toString(16)+" bytes");return 0|t}function SlowBuffer(t){return +t!=t&&(t=0),Buffer$1.alloc(+t)}function internalIsBuffer(t){return !(null==t||!t._isBuffer)}function byteLength$1(t,r){if(internalIsBuffer(t))return t.length;if("undefined"!=typeof ArrayBuffer&&"function"==typeof ArrayBuffer.isView&&(ArrayBuffer.isView(t)||t instanceof ArrayBuffer))return t.byteLength;"string"!=typeof t&&(t=""+t);var e=t.length;if(0===e)return 0;for(var n=!1;;)switch(r){case"ascii":case"latin1":case"binary":return e;case"utf8":case"utf-8":case void 0:return utf8ToBytes$1(t).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return 2*e;case"hex":return e>>>1;case"base64":return base64ToBytes(t).length;default:if(n)return utf8ToBytes$1(t).length;r=(""+r).toLowerCase(),n=!0;}}function slowToString(t,r,e){var n=!1;if((void 0===r||r<0)&&(r=0),r>this.length)return "";if((void 0===e||e>this.length)&&(e=this.length),e<=0)return "";if((e>>>=0)<=(r>>>=0))return "";for(t||(t="utf8");;)switch(t){case"hex":return hexSlice(this,r,e);case"utf8":case"utf-8":return utf8Slice(this,r,e);case"ascii":return asciiSlice(this,r,e);case"latin1":case"binary":return latin1Slice(this,r,e);case"base64":return base64Slice(this,r,e);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return utf16leSlice(this,r,e);default:if(n)throw new TypeError("Unknown encoding: "+t);t=(t+"").toLowerCase(),n=!0;}}function swap(t,r,e){var n=t[r];t[r]=t[e],t[e]=n;}function bidirectionalIndexOf(t,r,e,n,f){if(0===t.length)return -1;if("string"==typeof e?(n=e,e=0):e>2147483647?e=2147483647:e<-2147483648&&(e=-2147483648),e=+e,isNaN(e)&&(e=f?0:t.length-1),e<0&&(e=t.length+e),e>=t.length){if(f)return -1;e=t.length-1;}else if(e<0){if(!f)return -1;e=0;}if("string"==typeof r&&(r=Buffer$1.from(r,n)),internalIsBuffer(r))return 0===r.length?-1:arrayIndexOf(t,r,e,n,f);if("number"==typeof r)return r&=255,Buffer$1.TYPED_ARRAY_SUPPORT&&"function"==typeof Uint8Array.prototype.indexOf?f?Uint8Array.prototype.indexOf.call(t,r,e):Uint8Array.prototype.lastIndexOf.call(t,r,e):arrayIndexOf(t,[r],e,n,f);throw new TypeError("val must be string, number or Buffer")}function arrayIndexOf(t,r,e,n,f){var i,o=1,u=t.length,s=r.length;if(void 0!==n&&("ucs2"===(n=String(n).toLowerCase())||"ucs-2"===n||"utf16le"===n||"utf-16le"===n)){if(t.length<2||r.length<2)return -1;o=2,u/=2,s/=2,e/=2;}function a(t,r){return 1===o?t[r]:t.readUInt16BE(r*o)}if(f){var h=-1;for(i=e;i<u;i++)if(a(t,i)===a(r,-1===h?0:i-h)){if(-1===h&&(h=i),i-h+1===s)return h*o}else -1!==h&&(i-=i-h),h=-1;}else for(e+s>u&&(e=u-s),i=e;i>=0;i--){for(var c=!0,l=0;l<s;l++)if(a(t,i+l)!==a(r,l)){c=!1;break}if(c)return i}return -1}function hexWrite(t,r,e,n){e=Number(e)||0;var f=t.length-e;n?(n=Number(n))>f&&(n=f):n=f;var i=r.length;if(i%2!=0)throw new TypeError("Invalid hex string");n>i/2&&(n=i/2);for(var o=0;o<n;++o){var u=parseInt(r.substr(2*o,2),16);if(isNaN(u))return o;t[e+o]=u;}return o}function utf8Write$1(t,r,e,n){return blitBuffer$1(utf8ToBytes$1(r,t.length-e),t,e,n)}function asciiWrite(t,r,e,n){return blitBuffer$1(asciiToBytes(r),t,e,n)}function latin1Write(t,r,e,n){return asciiWrite(t,r,e,n)}function base64Write(t,r,e,n){return blitBuffer$1(base64ToBytes(r),t,e,n)}function ucs2Write(t,r,e,n){return blitBuffer$1(utf16leToBytes(r,t.length-e),t,e,n)}function base64Slice(t,r,e){return 0===r&&e===t.length?fromByteArray(t):fromByteArray(t.slice(r,e))}function utf8Slice(t,r,e){e=Math.min(t.length,e);for(var n=[],f=r;f<e;){var i,o,u,s,a=t[f],h=null,c=a>239?4:a>223?3:a>191?2:1;if(f+c<=e)switch(c){case 1:a<128&&(h=a);break;case 2:128==(192&(i=t[f+1]))&&(s=(31&a)<<6|63&i)>127&&(h=s);break;case 3:i=t[f+1],o=t[f+2],128==(192&i)&&128==(192&o)&&(s=(15&a)<<12|(63&i)<<6|63&o)>2047&&(s<55296||s>57343)&&(h=s);break;case 4:i=t[f+1],o=t[f+2],u=t[f+3],128==(192&i)&&128==(192&o)&&128==(192&u)&&(s=(15&a)<<18|(63&i)<<12|(63&o)<<6|63&u)>65535&&s<1114112&&(h=s);}null===h?(h=65533,c=1):h>65535&&(h-=65536,n.push(h>>>10&1023|55296),h=56320|1023&h),n.push(h),f+=c;}return decodeCodePointsArray(n)}Buffer$1.poolSize=8192,Buffer$1._augment=function(t){return t.__proto__=Buffer$1.prototype,t},Buffer$1.from=function(t,r,e){return from$1(null,t,r,e)},Buffer$1.TYPED_ARRAY_SUPPORT&&(Buffer$1.prototype.__proto__=Uint8Array.prototype,Buffer$1.__proto__=Uint8Array),Buffer$1.alloc=function(t,r,e){return alloc$1(null,t,r,e)},Buffer$1.allocUnsafe=function(t){return allocUnsafe$1(null,t)},Buffer$1.allocUnsafeSlow=function(t){return allocUnsafe$1(null,t)},Buffer$1.isBuffer=isBuffer,Buffer$1.compare=function(t,r){if(!internalIsBuffer(t)||!internalIsBuffer(r))throw new TypeError("Arguments must be Buffers");if(t===r)return 0;for(var e=t.length,n=r.length,f=0,i=Math.min(e,n);f<i;++f)if(t[f]!==r[f]){e=t[f],n=r[f];break}return e<n?-1:n<e?1:0},Buffer$1.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return !0;default:return !1}},Buffer$1.concat=function(t,r){if(!isArray(t))throw new TypeError('"list" argument must be an Array of Buffers');if(0===t.length)return Buffer$1.alloc(0);var e;if(void 0===r)for(r=0,e=0;e<t.length;++e)r+=t[e].length;var n=Buffer$1.allocUnsafe(r),f=0;for(e=0;e<t.length;++e){var i=t[e];if(!internalIsBuffer(i))throw new TypeError('"list" argument must be an Array of Buffers');i.copy(n,f),f+=i.length;}return n},Buffer$1.byteLength=byteLength$1,Buffer$1.prototype._isBuffer=!0,Buffer$1.prototype.swap16=function(){var t=this.length;if(t%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var r=0;r<t;r+=2)swap(this,r,r+1);return this},Buffer$1.prototype.swap32=function(){var t=this.length;if(t%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var r=0;r<t;r+=4)swap(this,r,r+3),swap(this,r+1,r+2);return this},Buffer$1.prototype.swap64=function(){var t=this.length;if(t%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var r=0;r<t;r+=8)swap(this,r,r+7),swap(this,r+1,r+6),swap(this,r+2,r+5),swap(this,r+3,r+4);return this},Buffer$1.prototype.toString=function(){var t=0|this.length;return 0===t?"":0===arguments.length?utf8Slice(this,0,t):slowToString.apply(this,arguments)},Buffer$1.prototype.equals=function(t){if(!internalIsBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t||0===Buffer$1.compare(this,t)},Buffer$1.prototype.inspect=function(){var t="",r=INSPECT_MAX_BYTES;return this.length>0&&(t=this.toString("hex",0,r).match(/.{2}/g).join(" "),this.length>r&&(t+=" ... ")),"<Buffer "+t+">"},Buffer$1.prototype.compare=function(t,r,e,n,f){if(!internalIsBuffer(t))throw new TypeError("Argument must be a Buffer");if(void 0===r&&(r=0),void 0===e&&(e=t?t.length:0),void 0===n&&(n=0),void 0===f&&(f=this.length),r<0||e>t.length||n<0||f>this.length)throw new RangeError("out of range index");if(n>=f&&r>=e)return 0;if(n>=f)return -1;if(r>=e)return 1;if(this===t)return 0;for(var i=(f>>>=0)-(n>>>=0),o=(e>>>=0)-(r>>>=0),u=Math.min(i,o),s=this.slice(n,f),a=t.slice(r,e),h=0;h<u;++h)if(s[h]!==a[h]){i=s[h],o=a[h];break}return i<o?-1:o<i?1:0},Buffer$1.prototype.includes=function(t,r,e){return -1!==this.indexOf(t,r,e)},Buffer$1.prototype.indexOf=function(t,r,e){return bidirectionalIndexOf(this,t,r,e,!0)},Buffer$1.prototype.lastIndexOf=function(t,r,e){return bidirectionalIndexOf(this,t,r,e,!1)},Buffer$1.prototype.write=function(t,r,e,n){if(void 0===r)n="utf8",e=this.length,r=0;else if(void 0===e&&"string"==typeof r)n=r,e=this.length,r=0;else {if(!isFinite(r))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");r|=0,isFinite(e)?(e|=0,void 0===n&&(n="utf8")):(n=e,e=void 0);}var f=this.length-r;if((void 0===e||e>f)&&(e=f),t.length>0&&(e<0||r<0)||r>this.length)throw new RangeError("Attempt to write outside buffer bounds");n||(n="utf8");for(var i=!1;;)switch(n){case"hex":return hexWrite(this,t,r,e);case"utf8":case"utf-8":return utf8Write$1(this,t,r,e);case"ascii":return asciiWrite(this,t,r,e);case"latin1":case"binary":return latin1Write(this,t,r,e);case"base64":return base64Write(this,t,r,e);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return ucs2Write(this,t,r,e);default:if(i)throw new TypeError("Unknown encoding: "+n);n=(""+n).toLowerCase(),i=!0;}},Buffer$1.prototype.toJSON=function(){return {type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var MAX_ARGUMENTS_LENGTH=4096;function decodeCodePointsArray(t){var r=t.length;if(r<=MAX_ARGUMENTS_LENGTH)return String.fromCharCode.apply(String,t);for(var e="",n=0;n<r;)e+=String.fromCharCode.apply(String,t.slice(n,n+=MAX_ARGUMENTS_LENGTH));return e}function asciiSlice(t,r,e){var n="";e=Math.min(t.length,e);for(var f=r;f<e;++f)n+=String.fromCharCode(127&t[f]);return n}function latin1Slice(t,r,e){var n="";e=Math.min(t.length,e);for(var f=r;f<e;++f)n+=String.fromCharCode(t[f]);return n}function hexSlice(t,r,e){var n=t.length;(!r||r<0)&&(r=0),(!e||e<0||e>n)&&(e=n);for(var f="",i=r;i<e;++i)f+=toHex(t[i]);return f}function utf16leSlice(t,r,e){for(var n=t.slice(r,e),f="",i=0;i<n.length;i+=2)f+=String.fromCharCode(n[i]+256*n[i+1]);return f}function checkOffset(t,r,e){if(t%1!=0||t<0)throw new RangeError("offset is not uint");if(t+r>e)throw new RangeError("Trying to access beyond buffer length")}function checkInt(t,r,e,n,f,i){if(!internalIsBuffer(t))throw new TypeError('"buffer" argument must be a Buffer instance');if(r>f||r<i)throw new RangeError('"value" argument is out of bounds');if(e+n>t.length)throw new RangeError("Index out of range")}function objectWriteUInt16(t,r,e,n){r<0&&(r=65535+r+1);for(var f=0,i=Math.min(t.length-e,2);f<i;++f)t[e+f]=(r&255<<8*(n?f:1-f))>>>8*(n?f:1-f);}function objectWriteUInt32(t,r,e,n){r<0&&(r=4294967295+r+1);for(var f=0,i=Math.min(t.length-e,4);f<i;++f)t[e+f]=r>>>8*(n?f:3-f)&255;}function checkIEEE754(t,r,e,n,f,i){if(e+n>t.length)throw new RangeError("Index out of range");if(e<0)throw new RangeError("Index out of range")}function writeFloat(t,r,e,n,f){return f||checkIEEE754(t,r,e,4),write(t,r,e,n,23,4),e+4}function writeDouble(t,r,e,n,f){return f||checkIEEE754(t,r,e,8),write(t,r,e,n,52,8),e+8}Buffer$1.prototype.slice=function(t,r){var e,n=this.length;if((t=~~t)<0?(t+=n)<0&&(t=0):t>n&&(t=n),(r=void 0===r?n:~~r)<0?(r+=n)<0&&(r=0):r>n&&(r=n),r<t&&(r=t),Buffer$1.TYPED_ARRAY_SUPPORT)(e=this.subarray(t,r)).__proto__=Buffer$1.prototype;else {var f=r-t;e=new Buffer$1(f,void 0);for(var i=0;i<f;++i)e[i]=this[i+t];}return e},Buffer$1.prototype.readUIntLE=function(t,r,e){t|=0,r|=0,e||checkOffset(t,r,this.length);for(var n=this[t],f=1,i=0;++i<r&&(f*=256);)n+=this[t+i]*f;return n},Buffer$1.prototype.readUIntBE=function(t,r,e){t|=0,r|=0,e||checkOffset(t,r,this.length);for(var n=this[t+--r],f=1;r>0&&(f*=256);)n+=this[t+--r]*f;return n},Buffer$1.prototype.readUInt8=function(t,r){return r||checkOffset(t,1,this.length),this[t]},Buffer$1.prototype.readUInt16LE=function(t,r){return r||checkOffset(t,2,this.length),this[t]|this[t+1]<<8},Buffer$1.prototype.readUInt16BE=function(t,r){return r||checkOffset(t,2,this.length),this[t]<<8|this[t+1]},Buffer$1.prototype.readUInt32LE=function(t,r){return r||checkOffset(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+16777216*this[t+3]},Buffer$1.prototype.readUInt32BE=function(t,r){return r||checkOffset(t,4,this.length),16777216*this[t]+(this[t+1]<<16|this[t+2]<<8|this[t+3])},Buffer$1.prototype.readIntLE=function(t,r,e){t|=0,r|=0,e||checkOffset(t,r,this.length);for(var n=this[t],f=1,i=0;++i<r&&(f*=256);)n+=this[t+i]*f;return n>=(f*=128)&&(n-=Math.pow(2,8*r)),n},Buffer$1.prototype.readIntBE=function(t,r,e){t|=0,r|=0,e||checkOffset(t,r,this.length);for(var n=r,f=1,i=this[t+--n];n>0&&(f*=256);)i+=this[t+--n]*f;return i>=(f*=128)&&(i-=Math.pow(2,8*r)),i},Buffer$1.prototype.readInt8=function(t,r){return r||checkOffset(t,1,this.length),128&this[t]?-1*(255-this[t]+1):this[t]},Buffer$1.prototype.readInt16LE=function(t,r){r||checkOffset(t,2,this.length);var e=this[t]|this[t+1]<<8;return 32768&e?4294901760|e:e},Buffer$1.prototype.readInt16BE=function(t,r){r||checkOffset(t,2,this.length);var e=this[t+1]|this[t]<<8;return 32768&e?4294901760|e:e},Buffer$1.prototype.readInt32LE=function(t,r){return r||checkOffset(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},Buffer$1.prototype.readInt32BE=function(t,r){return r||checkOffset(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},Buffer$1.prototype.readFloatLE=function(t,r){return r||checkOffset(t,4,this.length),read(this,t,!0,23,4)},Buffer$1.prototype.readFloatBE=function(t,r){return r||checkOffset(t,4,this.length),read(this,t,!1,23,4)},Buffer$1.prototype.readDoubleLE=function(t,r){return r||checkOffset(t,8,this.length),read(this,t,!0,52,8)},Buffer$1.prototype.readDoubleBE=function(t,r){return r||checkOffset(t,8,this.length),read(this,t,!1,52,8)},Buffer$1.prototype.writeUIntLE=function(t,r,e,n){(t=+t,r|=0,e|=0,n)||checkInt(this,t,r,e,Math.pow(2,8*e)-1,0);var f=1,i=0;for(this[r]=255&t;++i<e&&(f*=256);)this[r+i]=t/f&255;return r+e},Buffer$1.prototype.writeUIntBE=function(t,r,e,n){(t=+t,r|=0,e|=0,n)||checkInt(this,t,r,e,Math.pow(2,8*e)-1,0);var f=e-1,i=1;for(this[r+f]=255&t;--f>=0&&(i*=256);)this[r+f]=t/i&255;return r+e},Buffer$1.prototype.writeUInt8=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,1,255,0),Buffer$1.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[r]=255&t,r+1},Buffer$1.prototype.writeUInt16LE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,2,65535,0),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=255&t,this[r+1]=t>>>8):objectWriteUInt16(this,t,r,!0),r+2},Buffer$1.prototype.writeUInt16BE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,2,65535,0),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=t>>>8,this[r+1]=255&t):objectWriteUInt16(this,t,r,!1),r+2},Buffer$1.prototype.writeUInt32LE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,4,4294967295,0),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r+3]=t>>>24,this[r+2]=t>>>16,this[r+1]=t>>>8,this[r]=255&t):objectWriteUInt32(this,t,r,!0),r+4},Buffer$1.prototype.writeUInt32BE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,4,4294967295,0),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=t>>>24,this[r+1]=t>>>16,this[r+2]=t>>>8,this[r+3]=255&t):objectWriteUInt32(this,t,r,!1),r+4},Buffer$1.prototype.writeIntLE=function(t,r,e,n){if(t=+t,r|=0,!n){var f=Math.pow(2,8*e-1);checkInt(this,t,r,e,f-1,-f);}var i=0,o=1,u=0;for(this[r]=255&t;++i<e&&(o*=256);)t<0&&0===u&&0!==this[r+i-1]&&(u=1),this[r+i]=(t/o>>0)-u&255;return r+e},Buffer$1.prototype.writeIntBE=function(t,r,e,n){if(t=+t,r|=0,!n){var f=Math.pow(2,8*e-1);checkInt(this,t,r,e,f-1,-f);}var i=e-1,o=1,u=0;for(this[r+i]=255&t;--i>=0&&(o*=256);)t<0&&0===u&&0!==this[r+i+1]&&(u=1),this[r+i]=(t/o>>0)-u&255;return r+e},Buffer$1.prototype.writeInt8=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,1,127,-128),Buffer$1.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[r]=255&t,r+1},Buffer$1.prototype.writeInt16LE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,2,32767,-32768),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=255&t,this[r+1]=t>>>8):objectWriteUInt16(this,t,r,!0),r+2},Buffer$1.prototype.writeInt16BE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,2,32767,-32768),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=t>>>8,this[r+1]=255&t):objectWriteUInt16(this,t,r,!1),r+2},Buffer$1.prototype.writeInt32LE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,4,2147483647,-2147483648),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=255&t,this[r+1]=t>>>8,this[r+2]=t>>>16,this[r+3]=t>>>24):objectWriteUInt32(this,t,r,!0),r+4},Buffer$1.prototype.writeInt32BE=function(t,r,e){return t=+t,r|=0,e||checkInt(this,t,r,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),Buffer$1.TYPED_ARRAY_SUPPORT?(this[r]=t>>>24,this[r+1]=t>>>16,this[r+2]=t>>>8,this[r+3]=255&t):objectWriteUInt32(this,t,r,!1),r+4},Buffer$1.prototype.writeFloatLE=function(t,r,e){return writeFloat(this,t,r,!0,e)},Buffer$1.prototype.writeFloatBE=function(t,r,e){return writeFloat(this,t,r,!1,e)},Buffer$1.prototype.writeDoubleLE=function(t,r,e){return writeDouble(this,t,r,!0,e)},Buffer$1.prototype.writeDoubleBE=function(t,r,e){return writeDouble(this,t,r,!1,e)},Buffer$1.prototype.copy=function(t,r,e,n){if(e||(e=0),n||0===n||(n=this.length),r>=t.length&&(r=t.length),r||(r=0),n>0&&n<e&&(n=e),n===e)return 0;if(0===t.length||0===this.length)return 0;if(r<0)throw new RangeError("targetStart out of bounds");if(e<0||e>=this.length)throw new RangeError("sourceStart out of bounds");if(n<0)throw new RangeError("sourceEnd out of bounds");n>this.length&&(n=this.length),t.length-r<n-e&&(n=t.length-r+e);var f,i=n-e;if(this===t&&e<r&&r<n)for(f=i-1;f>=0;--f)t[f+r]=this[f+e];else if(i<1e3||!Buffer$1.TYPED_ARRAY_SUPPORT)for(f=0;f<i;++f)t[f+r]=this[f+e];else Uint8Array.prototype.set.call(t,this.subarray(e,e+i),r);return i},Buffer$1.prototype.fill=function(t,r,e,n){if("string"==typeof t){if("string"==typeof r?(n=r,r=0,e=this.length):"string"==typeof e&&(n=e,e=this.length),1===t.length){var f=t.charCodeAt(0);f<256&&(t=f);}if(void 0!==n&&"string"!=typeof n)throw new TypeError("encoding must be a string");if("string"==typeof n&&!Buffer$1.isEncoding(n))throw new TypeError("Unknown encoding: "+n)}else "number"==typeof t&&(t&=255);if(r<0||this.length<r||this.length<e)throw new RangeError("Out of range index");if(e<=r)return this;var i;if(r>>>=0,e=void 0===e?this.length:e>>>0,t||(t=0),"number"==typeof t)for(i=r;i<e;++i)this[i]=t;else {var o=internalIsBuffer(t)?t:utf8ToBytes$1(new Buffer$1(t,n).toString()),u=o.length;for(i=0;i<e-r;++i)this[i+r]=o[i%u];}return this};var INVALID_BASE64_RE=/[^+\/0-9A-Za-z-_]/g;function base64clean(t){if((t=stringtrim(t).replace(INVALID_BASE64_RE,"")).length<2)return "";for(;t.length%4!=0;)t+="=";return t}function stringtrim(t){return t.trim?t.trim():t.replace(/^\s+|\s+$/g,"")}function toHex(t){return t<16?"0"+t.toString(16):t.toString(16)}function utf8ToBytes$1(t,r){var e;r=r||1/0;for(var n=t.length,f=null,i=[],o=0;o<n;++o){if((e=t.charCodeAt(o))>55295&&e<57344){if(!f){if(e>56319){(r-=3)>-1&&i.push(239,191,189);continue}if(o+1===n){(r-=3)>-1&&i.push(239,191,189);continue}f=e;continue}if(e<56320){(r-=3)>-1&&i.push(239,191,189),f=e;continue}e=65536+(f-55296<<10|e-56320);}else f&&(r-=3)>-1&&i.push(239,191,189);if(f=null,e<128){if((r-=1)<0)break;i.push(e);}else if(e<2048){if((r-=2)<0)break;i.push(e>>6|192,63&e|128);}else if(e<65536){if((r-=3)<0)break;i.push(e>>12|224,e>>6&63|128,63&e|128);}else {if(!(e<1114112))throw new Error("Invalid code point");if((r-=4)<0)break;i.push(e>>18|240,e>>12&63|128,e>>6&63|128,63&e|128);}}return i}function asciiToBytes(t){for(var r=[],e=0;e<t.length;++e)r.push(255&t.charCodeAt(e));return r}function utf16leToBytes(t,r){for(var e,n,f,i=[],o=0;o<t.length&&!((r-=2)<0);++o)n=(e=t.charCodeAt(o))>>8,f=e%256,i.push(f),i.push(n);return i}function base64ToBytes(t){return toByteArray(base64clean(t))}function blitBuffer$1(t,r,e,n){for(var f=0;f<n&&!(f+e>=r.length||f>=t.length);++f)r[f+e]=t[f];return f}function isnan$1(t){return t!=t}function isBuffer(t){return null!=t&&(!!t._isBuffer||isFastBuffer(t)||isSlowBuffer(t))}function isFastBuffer(t){return !!t.constructor&&"function"==typeof t.constructor.isBuffer&&t.constructor.isBuffer(t)}function isSlowBuffer(t){return "function"==typeof t.readFloatLE&&"function"==typeof t.slice&&isFastBuffer(t.slice(0,0))}

    var bufferEs6 = /*#__PURE__*/Object.freeze({
        __proto__: null,
        Buffer: Buffer$1,
        INSPECT_MAX_BYTES: INSPECT_MAX_BYTES,
        SlowBuffer: SlowBuffer,
        isBuffer: isBuffer,
        kMaxLength: _kMaxLength
    });

    var Buffer$2=bufferEs6.Buffer;function ReedSolomonEncoder(e){this.genPoly=void 0,this.degree=e,this.degree&&this.initialize(this.degree);}ReedSolomonEncoder.prototype.initialize=function(e){this.degree=e,this.genPoly=polynomial.generateECPolynomial(this.degree);},ReedSolomonEncoder.prototype.encode=function(e){if(!this.genPoly)throw new Error("Encoder not initialized");var o=typedarrayBuffer.alloc(this.degree),r=Buffer$2.concat([e,o],e.length+this.degree),i=polynomial.mod(r,this.genPoly),t=this.degree-i.length;if(t>0){var n=typedarrayBuffer.alloc(this.degree);return i.copy(n,t),n}return i};var reedSolomonEncoder=ReedSolomonEncoder;

    var isValid=function(i){return !isNaN(i)&&i>=1&&i<=40},versionCheck={isValid:isValid};

    var numeric="[0-9]+",alphanumeric="[A-Z $%*+\\-./:]+",kanji="(?:[u3000-u303F]|[u3040-u309F]|[u30A0-u30FF]|[uFF00-uFFEF]|[u4E00-u9FAF]|[u2605-u2606]|[u2190-u2195]|u203B|[u2010u2015u2018u2019u2025u2026u201Cu201Du2225u2260]|[u0391-u0451]|[u00A7u00A8u00B1u00B4u00D7u00F7])+",byte="(?:(?![A-Z0-9 $%*+\\-./:]|"+(kanji=kanji.replace(/u/g,"\\u"))+")(?:.|[\r\n]))+",KANJI=new RegExp(kanji,"g"),BYTE_KANJI=new RegExp("[^A-Z0-9 $%*+\\-./:]+","g"),BYTE=new RegExp(byte,"g"),NUMERIC=new RegExp(numeric,"g"),ALPHANUMERIC=new RegExp(alphanumeric,"g"),TEST_KANJI=new RegExp("^"+kanji+"$"),TEST_NUMERIC=new RegExp("^"+numeric+"$"),TEST_ALPHANUMERIC=new RegExp("^[A-Z0-9 $%*+\\-./:]+$"),testKanji=function(e){return TEST_KANJI.test(e)},testNumeric=function(e){return TEST_NUMERIC.test(e)},testAlphanumeric=function(e){return TEST_ALPHANUMERIC.test(e)},regex={KANJI:KANJI,BYTE_KANJI:BYTE_KANJI,BYTE:BYTE,NUMERIC:NUMERIC,ALPHANUMERIC:ALPHANUMERIC,testKanji:testKanji,testNumeric:testNumeric,testAlphanumeric:testAlphanumeric};

    var mode=createCommonjsModule((function(e,o){o.NUMERIC={id:"Numeric",bit:1,ccBits:[10,12,14]},o.ALPHANUMERIC={id:"Alphanumeric",bit:2,ccBits:[9,11,13]},o.BYTE={id:"Byte",bit:4,ccBits:[8,16,16]},o.KANJI={id:"Kanji",bit:8,ccBits:[8,10,12]},o.MIXED={bit:-1},o.getCharCountIndicator=function(e,o){if(!e.ccBits)throw new Error("Invalid mode: "+e);if(!versionCheck.isValid(o))throw new Error("Invalid version: "+o);return o>=1&&o<10?e.ccBits[0]:o<27?e.ccBits[1]:e.ccBits[2]},o.getBestModeForData=function(e){return regex.testNumeric(e)?o.NUMERIC:regex.testAlphanumeric(e)?o.ALPHANUMERIC:regex.testKanji(e)?o.KANJI:o.BYTE},o.toString=function(e){if(e&&e.id)return e.id;throw new Error("Invalid mode")},o.isValid=function(e){return e&&e.bit&&e.ccBits},o.from=function(e,r){if(o.isValid(e))return e;try{return function(e){if("string"!=typeof e)throw new Error("Param is not a string");switch(e.toLowerCase()){case"numeric":return o.NUMERIC;case"alphanumeric":return o.ALPHANUMERIC;case"kanji":return o.KANJI;case"byte":return o.BYTE;default:throw new Error("Unknown mode: "+e)}}(e)}catch(e){return r}};}));var mode_1=mode.NUMERIC;var mode_2=mode.ALPHANUMERIC;var mode_3=mode.BYTE;var mode_4=mode.KANJI;var mode_5=mode.MIXED;var mode_6=mode.getCharCountIndicator;var mode_7=mode.getBestModeForData;var mode_8=mode.isValid;

    var version=createCommonjsModule((function(r,o){var e=utils.getBCHDigit(7973);function t(r,o){return mode.getCharCountIndicator(r,o)+4}function i(r,o){var e=0;return r.forEach((function(r){var i=t(r.mode,o);e+=i+r.getBitsLength();})),e}o.from=function(r,o){return versionCheck.isValid(r)?parseInt(r,10):o},o.getCapacity=function(r,o,e){if(!versionCheck.isValid(r))throw new Error("Invalid QR Code version");void 0===e&&(e=mode.BYTE);var i=8*(utils.getSymbolTotalCodewords(r)-errorCorrectionCode.getTotalCodewordsCount(r,o));if(e===mode.MIXED)return i;var n=i-t(e,r);switch(e){case mode.NUMERIC:return Math.floor(n/10*3);case mode.ALPHANUMERIC:return Math.floor(n/11*2);case mode.KANJI:return Math.floor(n/13);case mode.BYTE:default:return Math.floor(n/8)}},o.getBestVersionForData=function(r,e){var t,n=errorCorrectionLevel.from(e,errorCorrectionLevel.M);if(isarray(r)){if(r.length>1)return function(r,e){for(var t=1;t<=40;t++)if(i(r,t)<=o.getCapacity(t,e,mode.MIXED))return t}(r,n);if(0===r.length)return 1;t=r[0];}else t=r;return function(r,e,t){for(var i=1;i<=40;i++)if(e<=o.getCapacity(i,t,r))return i}(t.mode,t.getLength(),n)},o.getEncodedBits=function(r){if(!versionCheck.isValid(r)||r<7)throw new Error("Invalid QR Code version");for(var o=r<<12;utils.getBCHDigit(o)-e>=0;)o^=7973<<utils.getBCHDigit(o)-e;return r<<12|o};}));var version_1=version.getCapacity;var version_2=version.getBestVersionForData;var version_3=version.getEncodedBits;

    var G15=1335,G15_MASK=21522,G15_BCH=utils.getBCHDigit(G15),getEncodedBits=function(t,o){for(var i=t.bit<<3|o,e=i<<10;utils.getBCHDigit(e)-G15_BCH>=0;)e^=G15<<utils.getBCHDigit(e)-G15_BCH;return (i<<10|e)^G15_MASK},formatInfo={getEncodedBits:getEncodedBits};

    function NumericData(t){this.mode=mode.NUMERIC,this.data=t.toString();}NumericData.getBitsLength=function(t){return 10*Math.floor(t/3)+(t%3?t%3*3+1:0)},NumericData.prototype.getLength=function(){return this.data.length},NumericData.prototype.getBitsLength=function(){return NumericData.getBitsLength(this.data.length)},NumericData.prototype.write=function(t){var a,e,r;for(a=0;a+3<=this.data.length;a+=3)e=this.data.substr(a,3),r=parseInt(e,10),t.put(r,10);var i=this.data.length-a;i>0&&(e=this.data.substr(a),r=parseInt(e,10),t.put(r,3*i+1));};var numericData=NumericData;

    var ALPHA_NUM_CHARS=["0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"," ","$","%","*","+","-",".","/",":"];function AlphanumericData(t){this.mode=mode.ALPHANUMERIC,this.data=t;}AlphanumericData.getBitsLength=function(t){return 11*Math.floor(t/2)+t%2*6},AlphanumericData.prototype.getLength=function(){return this.data.length},AlphanumericData.prototype.getBitsLength=function(){return AlphanumericData.getBitsLength(this.data.length)},AlphanumericData.prototype.write=function(t){var a;for(a=0;a+2<=this.data.length;a+=2){var e=45*ALPHA_NUM_CHARS.indexOf(this.data[a]);e+=ALPHA_NUM_CHARS.indexOf(this.data[a+1]),t.put(e,11);}this.data.length%2&&t.put(ALPHA_NUM_CHARS.indexOf(this.data[a]),6);};var alphanumericData=AlphanumericData;

    function ByteData(t){this.mode=mode.BYTE,this.data=typedarrayBuffer.from(t);}ByteData.getBitsLength=function(t){return 8*t},ByteData.prototype.getLength=function(){return this.data.length},ByteData.prototype.getBitsLength=function(){return ByteData.getBitsLength(this.data.length)},ByteData.prototype.write=function(t){for(var e=0,a=this.data.length;e<a;e++)t.put(this.data[e],8);};var byteData=ByteData;

    function KanjiData(t){this.mode=mode.KANJI,this.data=t;}KanjiData.getBitsLength=function(t){return 13*t},KanjiData.prototype.getLength=function(){return this.data.length},KanjiData.prototype.getBitsLength=function(){return KanjiData.getBitsLength(this.data.length)},KanjiData.prototype.write=function(t){var a;for(a=0;a<this.data.length;a++){var i=utils.toSJIS(this.data[a]);if(i>=33088&&i<=40956)i-=33088;else {if(!(i>=57408&&i<=60351))throw new Error("Invalid SJIS character: "+this.data[a]+"\nMake sure your charset is UTF-8");i-=49472;}i=192*(i>>>8&255)+(255&i),t.put(i,13);}};var kanjiData=KanjiData;

    var dijkstra_1=createCommonjsModule((function(r){var t={single_source_shortest_paths:function(r,e,o){var s={},u={};u[e]=0;var n,i,a,p,h,c,f,_=t.PriorityQueue.make();for(_.push(e,0);!_.empty();)for(a in i=(n=_.pop()).value,p=n.cost,h=r[i]||{})h.hasOwnProperty(a)&&(c=p+h[a],f=u[a],(void 0===u[a]||f>c)&&(u[a]=c,_.push(a,c),s[a]=i));if(void 0!==o&&void 0===u[o]){var m=["Could not find a path from ",e," to ",o,"."].join("");throw new Error(m)}return s},extract_shortest_path_from_predecessor_list:function(r,t){for(var e=[],o=t;o;)e.push(o),r[o],o=r[o];return e.reverse(),e},find_path:function(r,e,o){var s=t.single_source_shortest_paths(r,e,o);return t.extract_shortest_path_from_predecessor_list(s,o)},PriorityQueue:{make:function(r){var e,o=t.PriorityQueue,s={};for(e in r=r||{},o)o.hasOwnProperty(e)&&(s[e]=o[e]);return s.queue=[],s.sorter=r.sorter||o.default_sorter,s},default_sorter:function(r,t){return r.cost-t.cost},push:function(r,t){var e={value:r,cost:t};this.queue.push(e),this.queue.sort(this.sorter);},pop:function(){return this.queue.shift()},empty:function(){return 0===this.queue.length}}};r.exports=t;}));

    var segments=createCommonjsModule((function(e,t){function o(e){return unescape(encodeURIComponent(e)).length}function a(e,t,o){for(var a,r=[];null!==(a=e.exec(o));)r.push({data:a[0],index:a.index,mode:t,length:a[0].length});return r}function r(e){var t,o,r=a(regex.NUMERIC,mode.NUMERIC,e),n=a(regex.ALPHANUMERIC,mode.ALPHANUMERIC,e);return utils.isKanjiModeEnabled()?(t=a(regex.BYTE,mode.BYTE,e),o=a(regex.KANJI,mode.KANJI,e)):(t=a(regex.BYTE_KANJI,mode.BYTE,e),o=[]),r.concat(n,t,o).sort((function(e,t){return e.index-t.index})).map((function(e){return {data:e.data,mode:e.mode,length:e.length}}))}function n(e,t){switch(t){case mode.NUMERIC:return numericData.getBitsLength(e);case mode.ALPHANUMERIC:return alphanumericData.getBitsLength(e);case mode.KANJI:return kanjiData.getBitsLength(e);case mode.BYTE:return byteData.getBitsLength(e)}}function d(e,t){var o,a=mode.getBestModeForData(e);if((o=mode.from(t,a))!==mode.BYTE&&o.bit<a.bit)throw new Error('"'+e+'" cannot be encoded with mode '+mode.toString(o)+".\n Suggested mode is: "+mode.toString(a));switch(o!==mode.KANJI||utils.isKanjiModeEnabled()||(o=mode.BYTE),o){case mode.NUMERIC:return new numericData(e);case mode.ALPHANUMERIC:return new alphanumericData(e);case mode.KANJI:return new kanjiData(e);case mode.BYTE:return new byteData(e)}}t.fromArray=function(e){return e.reduce((function(e,t){return "string"==typeof t?e.push(d(t,null)):t.data&&e.push(d(t.data,t.mode)),e}),[])},t.fromString=function(e,a){for(var d=function(e,t){for(var o={},a={start:{}},r=["start"],d=0;d<e.length;d++){for(var m=e[d],s=[],i=0;i<m.length;i++){var u=m[i],g=""+d+i;s.push(g),o[g]={node:u,lastCount:0},a[g]={};for(var l=0;l<r.length;l++){var c=r[l];o[c]&&o[c].node.mode===u.mode?(a[c][g]=n(o[c].lastCount+u.length,u.mode)-n(o[c].lastCount,u.mode),o[c].lastCount+=u.length):(o[c]&&(o[c].lastCount=u.length),a[c][g]=n(u.length,u.mode)+4+mode.getCharCountIndicator(u.mode,t));}}r=s;}for(l=0;l<r.length;l++)a[r[l]].end=0;return {map:a,table:o}}(function(e){for(var t=[],a=0;a<e.length;a++){var r=e[a];switch(r.mode){case mode.NUMERIC:t.push([r,{data:r.data,mode:mode.ALPHANUMERIC,length:r.length},{data:r.data,mode:mode.BYTE,length:r.length}]);break;case mode.ALPHANUMERIC:t.push([r,{data:r.data,mode:mode.BYTE,length:r.length}]);break;case mode.KANJI:t.push([r,{data:r.data,mode:mode.BYTE,length:o(r.data)}]);break;case mode.BYTE:t.push([{data:r.data,mode:mode.BYTE,length:o(r.data)}]);}}return t}(r(e,utils.isKanjiModeEnabled())),a),m=dijkstra_1.find_path(d.map,"start","end"),s=[],i=1;i<m.length-1;i++)s.push(d.table[m[i]].node);return t.fromArray(function(e){return e.reduce((function(e,t){var o=e.length-1>=0?e[e.length-1]:null;return o&&o.mode===t.mode?(e[e.length-1].data+=t.data,e):(e.push(t),e)}),[])}(s))},t.rawSplit=function(e){return t.fromArray(r(e,utils.isKanjiModeEnabled()))};}));var segments_1=segments.fromArray;var segments_2=segments.fromString;var segments_3=segments.rawSplit;

    function setupFinderPattern(r,o){for(var t=r.size,e=finderPattern.getPositions(o),n=0;n<e.length;n++)for(var i=e[n][0],a=e[n][1],s=-1;s<=7;s++)if(!(i+s<=-1||t<=i+s))for(var m=-1;m<=7;m++)a+m<=-1||t<=a+m||(s>=0&&s<=6&&(0===m||6===m)||m>=0&&m<=6&&(0===s||6===s)||s>=2&&s<=4&&m>=2&&m<=4?r.set(i+s,a+m,!0,!0):r.set(i+s,a+m,!1,!0));}function setupTimingPattern(r){for(var o=r.size,t=8;t<o-8;t++){var e=t%2==0;r.set(t,6,e,!0),r.set(6,t,e,!0);}}function setupAlignmentPattern(r,o){for(var t=alignmentPattern.getPositions(o),e=0;e<t.length;e++)for(var n=t[e][0],i=t[e][1],a=-2;a<=2;a++)for(var s=-2;s<=2;s++)-2===a||2===a||-2===s||2===s||0===a&&0===s?r.set(n+a,i+s,!0,!0):r.set(n+a,i+s,!1,!0);}function setupVersionInfo(r,o){for(var t,e,n,i=r.size,a=version.getEncodedBits(o),s=0;s<18;s++)t=Math.floor(s/3),e=s%3+i-8-3,n=1==(a>>s&1),r.set(t,e,n,!0),r.set(e,t,n,!0);}function setupFormatInfo(r,o,t){var e,n,i=r.size,a=formatInfo.getEncodedBits(o,t);for(e=0;e<15;e++)n=1==(a>>e&1),e<6?r.set(e,8,n,!0):e<8?r.set(e+1,8,n,!0):r.set(i-15+e,8,n,!0),e<8?r.set(8,i-e-1,n,!0):e<9?r.set(8,15-e-1+1,n,!0):r.set(8,15-e-1,n,!0);r.set(i-8,8,1,!0);}function setupData(r,o){for(var t=r.size,e=-1,n=t-1,i=7,a=0,s=t-1;s>0;s-=2)for(6===s&&s--;;){for(var m=0;m<2;m++)if(!r.isReserved(n,s-m)){var f=!1;a<o.length&&(f=1==(o[a]>>>i&1)),r.set(n,s-m,f),-1===--i&&(a++,i=7);}if((n+=e)<0||t<=n){n-=e,e=-e;break}}}function createData(r,o,t){var e=new bitBuffer;t.forEach((function(o){e.put(o.mode.bit,4),e.put(o.getLength(),mode.getCharCountIndicator(o.mode,r)),o.write(e);}));var n=8*(utils.getSymbolTotalCodewords(r)-errorCorrectionCode.getTotalCodewordsCount(r,o));for(e.getLengthInBits()+4<=n&&e.put(0,4);e.getLengthInBits()%8!=0;)e.putBit(0);for(var i=(n-e.getLengthInBits())/8,a=0;a<i;a++)e.put(a%2?17:236,8);return createCodewords(e,r,o)}function createCodewords(r,o,t){for(var e=utils.getSymbolTotalCodewords(o),n=e-errorCorrectionCode.getTotalCodewordsCount(o,t),i=errorCorrectionCode.getBlocksCount(o,t),a=i-e%i,s=Math.floor(e/i),m=Math.floor(n/i),f=m+1,p=s-m,c=new reedSolomonEncoder(p),u=0,d=new Array(i),l=new Array(i),g=0,v=typedarrayBuffer.from(r.buffer),y=0;y<i;y++){var C=y<a?m:f;d[y]=v.slice(u,u+C),l[y]=c.encode(d[y]),u+=C,g=Math.max(g,C);}var x,h,w=typedarrayBuffer.alloc(e),S=0;for(x=0;x<g;x++)for(h=0;h<i;h++)x<d[h].length&&(w[S++]=d[h][x]);for(x=0;x<p;x++)for(h=0;h<i;h++)w[S++]=l[h][x];return w}function createSymbol(r,o,t,e){var n;if(isarray(r))n=segments.fromArray(r);else {if("string"!=typeof r)throw new Error("Invalid data");var i=o;if(!i){var a=segments.rawSplit(r);i=version.getBestVersionForData(a,t);}n=segments.fromString(r,i||40);}var s=version.getBestVersionForData(n,t);if(!s)throw new Error("The amount of data is too big to be stored in a QR Code");if(o){if(o<s)throw new Error("\nThe chosen QR Code version cannot contain this amount of data.\nMinimum version required to store current data is: "+s+".\n")}else o=s;var m=createData(o,t,n),f=utils.getSymbolSize(o),p=new bitMatrix(f);return setupFinderPattern(p,o),setupTimingPattern(p),setupAlignmentPattern(p,o),setupFormatInfo(p,t,0),o>=7&&setupVersionInfo(p,o),setupData(p,m),isNaN(e)&&(e=maskPattern.getBestMask(p,setupFormatInfo.bind(null,p,t))),maskPattern.applyMask(e,p),setupFormatInfo(p,t,e),{modules:p,version:o,errorCorrectionLevel:t,maskPattern:e,segments:n}}var create=function(r,o){if(void 0===r||""===r)throw new Error("No input text");var t,e,n=errorCorrectionLevel.M;return void 0!==o&&(n=errorCorrectionLevel.from(o.errorCorrectionLevel,errorCorrectionLevel.M),t=version.from(o.version),e=maskPattern.from(o.maskPattern),o.toSJISFunc&&utils.setToSJISFunction(o.toSJISFunc)),createSymbol(r,t,n,e)},qrcode={create:create};

    var utils$1=createCommonjsModule((function(t,r){function e(t){if("number"==typeof t&&(t=t.toString()),"string"!=typeof t)throw new Error("Color should be defined as hex string");var r=t.slice().replace("#","").split("");if(r.length<3||5===r.length||r.length>8)throw new Error("Invalid hex color: "+t);3!==r.length&&4!==r.length||(r=Array.prototype.concat.apply([],r.map((function(t){return [t,t]})))),6===r.length&&r.push("F","F");var e=parseInt(r.join(""),16);return {r:e>>24&255,g:e>>16&255,b:e>>8&255,a:255&e,hex:"#"+r.slice(0,6).join("")}}r.getOptions=function(t){t||(t={}),t.color||(t.color={});var r=void 0===t.margin||null===t.margin||t.margin<0?4:t.margin,o=t.width&&t.width>=21?t.width:void 0,a=t.scale||4;return {width:o,scale:o?4:a,margin:r,color:{dark:e(t.color.dark||"#000000ff"),light:e(t.color.light||"#ffffffff")},type:t.type,rendererOpts:t.rendererOpts||{}}},r.getScale=function(t,r){return r.width&&r.width>=t+2*r.margin?r.width/(t+2*r.margin):r.scale},r.getImageWidth=function(t,e){var o=r.getScale(t,e);return Math.floor((t+2*e.margin)*o)},r.qrToImageData=function(t,e,o){for(var a=e.modules.size,i=e.modules.data,l=r.getScale(a,o),n=Math.floor((a+2*o.margin)*l),s=o.margin*l,g=[o.color.light,o.color.dark],u=0;u<n;u++)for(var c=0;c<n;c++){var f=4*(u*n+c),h=o.color.light;if(u>=s&&c>=s&&u<n-s&&c<n-s)h=g[i[Math.floor((u-s)/l)*a+Math.floor((c-s)/l)]?1:0];t[f++]=h.r,t[f++]=h.g,t[f++]=h.b,t[f]=h.a;}};}));var utils_1=utils$1.getOptions;var utils_2=utils$1.getScale;var utils_3=utils$1.getImageWidth;var utils_4=utils$1.qrToImageData;

    var canvas$1=createCommonjsModule((function(e,t){t.render=function(e,t,a){var r=a,n=t;void 0!==r||t&&t.getContext||(r=t,t=void 0),t||(n=function(){try{return document.createElement("canvas")}catch(e){throw new Error("You need to specify a canvas element")}}()),r=utils$1.getOptions(r);var o=utils$1.getImageWidth(e.modules.size,r),s=n.getContext("2d"),i=s.createImageData(o,o);return utils$1.qrToImageData(i.data,e,r),function(e,t,a){e.clearRect(0,0,t.width,t.height),t.style||(t.style={}),t.height=a,t.width=a,t.style.height=a+"px",t.style.width=a+"px";}(s,n,o),s.putImageData(i,0,0),n},t.renderToDataURL=function(e,a,r){var n=r;void 0!==n||a&&a.getContext||(n=a,a=void 0),n||(n={});var o=t.render(e,a,n),s=n.type||"image/png",i=n.rendererOpts||{};return o.toDataURL(s,i.quality)};}));var canvas_1=canvas$1.render;var canvas_2=canvas$1.renderToDataURL;

    function getColorAttrib(r,t){var o=r.a/255,e=t+'="'+r.hex+'"';return o<1?e+" "+t+'-opacity="'+o.toFixed(2).slice(1)+'"':e}function svgCmd(r,t,o){var e=r+t;return void 0!==o&&(e+=" "+o),e}function qrToPath(r,t,o){for(var e="",i=0,n=!1,s=0,a=0;a<r.length;a++){var g=Math.floor(a%t),l=Math.floor(a/t);g||n||(n=!0),r[a]?(s++,a>0&&g>0&&r[a-1]||(e+=n?svgCmd("M",g+o,.5+l+o):svgCmd("m",i,0),i=0,n=!1),g+1<t&&r[a+1]||(e+=svgCmd("h",s),s=0)):i++;}return e}var render=function(r,t,o){var e=utils$1.getOptions(t),i=r.modules.size,n=r.modules.data,s=i+2*e.margin,a=e.color.light.a?"<path "+getColorAttrib(e.color.light,"fill")+' d="M0 0h'+s+"v"+s+'H0z"/>':"",g="<path "+getColorAttrib(e.color.dark,"stroke")+' d="'+qrToPath(n,i,e.margin)+'"/>',l='viewBox="0 0 '+s+" "+s+'"',d='<svg xmlns="http://www.w3.org/2000/svg" '+(e.width?'width="'+e.width+'" height="'+e.width+'" ':"")+l+' shape-rendering="crispEdges">'+a+g+"</svg>\n";return "function"==typeof o&&o(null,d),d},svgTag={render:render};

    function renderCanvas(r,e,o,t,n){var a=[].slice.call(arguments,1),i=a.length,d="function"==typeof a[i-1];if(!d&&!canPromise())throw new Error("Callback required as last argument");if(!d){if(i<1)throw new Error("Too few arguments provided");return 1===i?(o=e,e=t=void 0):2!==i||e.getContext||(t=o,o=e,e=void 0),new Promise((function(n,a){try{var i=qrcode.create(o,t);n(r(i,e,t));}catch(r){a(r);}}))}if(i<2)throw new Error("Too few arguments provided");2===i?(n=o,o=e,e=t=void 0):3===i&&(e.getContext&&void 0===n?(n=t,t=void 0):(n=t,t=o,o=e,e=void 0));try{var s=qrcode.create(o,t);n(null,r(s,e,t));}catch(r){n(r);}}var create$1=qrcode.create,toCanvas=renderCanvas.bind(null,canvas$1.render),toDataURL=renderCanvas.bind(null,canvas$1.renderToDataURL),toString_1=renderCanvas.bind(null,(function(r,e,o){return svgTag.render(r,o)}));

    var CanvasLoader=function(){function t(t,o){this.canvas=this.makeCanvas(t,o);}return t.prototype.toSVG=function(){throw Error("toSVG() is not implemented for this QR Code Type.")},t}();

    var CanvasSVG=function(t){function e(e,o){return t.call(this,e,o)||this}return __extends(e,t),e.prototype.makeCanvas=function(t,e){return new SVGCanvas(t,e)},e.prototype.loadImage=function(t){return this.canvas.loadImage(t)},e.prototype.toBlob=function(t,e){throw Error("Blob conversion is not implemented for SVG QR Codes.")},e.prototype.toStream=function(t){throw Error("toStream is not implemented for SVG QR Codes.")},e.prototype.toSVG=function(){return this.canvas.toSVG()},e}(CanvasLoader);var SVGCanvas=function(){function t(t,e){this.shapeCache={},this.defs={},this.shapes=[],this.col="white",this.width=t,this.height=e;}return t.prototype.getContext=function(){return this},Object.defineProperty(t.prototype,"fillStyle",{set:function(t){this.col=t;},enumerable:!1,configurable:!0}),t.prototype.fillRect=function(t,e,o,n){var r=o+"-"+n+"-"+this.col,i="s"+Object.values(this.defs).length,s=this.shapeCache[r];s||(this.defs[i]='<rect width="'+o+'" height="'+n+'" fill="'+this.col+'" id="'+i+'"/>',this.shapeCache[r]=i,s=i),this.shapes.push({rect:s,x:t,y:e});},t.prototype.loadImage=function(t){if("string"!=typeof t)throw Error("Invalid image input - SVG Mode only supports pure text background images!");return {width:1,height:1,img:(""+t).replace(/<[?\s]*(xml)/gm,(function(t){return t.replace("xml","misc")}))}},t.prototype.drawImage=function(t,e,o,n,r,i,s,a,h){var p='<svg x="'+i+'" y="'+s+'" width="'+a+'" height="'+h+'">'+t.img+"</svg>";this.shapes.push({txt:p});},t.prototype.toSVG=function(){var t='<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" width="'+this.width+'" height="'+this.height+'">\n';return t+="<defs>\n"+Object.values(this.defs).join("\n")+"</defs>\n",(t+=this.shapes.map((function(t){return t.txt||'<use href="#'+t.rect+'" x="'+t.x+'" y="'+t.y+'"/>'})).join("\n"))+"</svg>"},t}();

    var LoaderClass=null;var setLoaderClass=function(e){LoaderClass=e;};var make=function(e,a,r){return __awaiter(void 0,void 0,void 0,(function(){var t,s,i,o,l,n,d,c,h,g,v,_,f,u,w,m,y,C,L;return __generator(this,(function(S){switch(S.label){case 0:if(!LoaderClass)throw Error("Loader was not set.");return s=(t=r||{}).qrOpts,i=t.colors,o=t.size,l=t.useSVG,s=s||{},i=Object.assign({dark:"rgba(0,0,0, 1.0)",light:"rgba(255,255,255, 0.75)",overlay:""},i||{}),o=o||{boxSize:6,scale:.35},1!==(n=create$1(e,s)).version?[3,2]:[4,make(e,a,__assign(__assign({},r),{qrOpts:__assign(__assign({},s),{version:2})}))];case 1:return [2,S.sent()];case 2:return d=o.boxSize||6,c=o.scale||.35,h=new Uint8Array(n.modules.data),g=n.modules.size,v=new Uint8Array(n.modules.reservedBit),_=(g+2)*d,f=(Math.ceil(h.length/g)+2)*d,[4,(u=l?new CanvasSVG(_,f):new LoaderClass(_,f)).loadImage(a)];case 3:return w=S.sent(),[4,u.canvas];case 4:return m=S.sent(),(y=m.getContext("2d")).fillStyle=i.light,y.fillRect(0,0,m.width,m.height),y.drawImage(w,0,0,w.width,w.height,d,d,m.width-2*d,m.height-2*d),i.overlay&&(y.fillStyle=i.overlay,y.fillRect(0,0,m.width,m.height)),C=0,L=0,h.forEach((function(e,a){a&&0==a%g&&(L+=1,C=0);var r=v[a],t=(C+1)*d,s=(L+1)*d,o=d;r||(o=Math.ceil(d*c),t+=Math.ceil((d-o)/2),s+=Math.floor((d-o)/2)),y.fillStyle=e?i.dark:i.light,y.fillRect(t,s,o,o),C+=1;})),[2,u]}}))}))};

    var BrowserLoader=function(e){function n(){return null!==e&&e.apply(this,arguments)||this}return __extends(n,e),n.prototype.loadImage=function(e){return __awaiter(this,void 0,void 0,(function(){return __generator(this,(function(n){return [2,new Promise((function(n,t){var r=new Image;r.crossOrigin="Anonymous",r.onload=function(){n(r);},r.onerror=t,r.src=e;}))]}))}))},n.prototype.makeCanvas=function(e,n){var t;if("undefined"!=typeof OffscreenCanvas)t=new OffscreenCanvas(e,n);else {var r=document.createElement("canvas");r.width=e,r.height=n,t=r;}return t},n.prototype.toBlob=function(e,n){return __awaiter(this,void 0,void 0,(function(){var t;return __generator(this,(function(r){switch(r.label){case 0:return this.canvas.convertToBlob?[4,this.canvas.convertToBlob({type:e,quality:n})]:[3,2];case 1:return t=r.sent(),[3,4];case 2:return this.canvas.toBlob?[4,new Promise((function(t){canvas.toBlob(t,e,n);}))]:[3,4];case 3:t=r.sent(),r.label=4;case 4:return [2,t]}}))}))},n.prototype.toStream=function(e){throw Error('Cannot encode canvas to stream inside the browser! Use "toBlob" instead.')},n}(CanvasLoader);

    setLoaderClass(BrowserLoader);

    return make;

})));
//# sourceMappingURL=index-browser.min.js.map
